Ticket #43647

lack of City_Vision_Radius_Sq effect with no reqs causes assert errors

Date d'ouverture: 2022-01-18 06:00 Dernière mise à jour: 2022-04-27 13:57

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
5

Détails

If ruleset file effects.ruleset does not contain a City_Vision_Radius_Sq effect with no reqs, get assert errors. Should have ruleset loading time sanity check for this. See forum thread http://forum.freeciv.org/f/viewtopic.php?f=11&p=104769

Ticket History (3/13 Histories)

2022-01-18 06:00 Updated by: ddeanbrown
  • New Ticket "lack of City_Vision_Radius_Sq effect with no reqs causes assert errors" created
2022-04-09 06:37 Updated by: cazfi
Commentaire

We can't enforce this in (d3f) S3_0, as there are legal configurations where the "base" effect is needed - anything where there's parallel effects with such requirements that one of them is always active.

In S3_1 we can still declare requirement for base effect part of the format -> making this an S3_1-d3f issue.

2022-04-14 16:15 Updated by: cazfi
Commentaire

At least for the implementation I have in mind, fixing #44371 is a dependency.

2022-04-16 00:57 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
Commentaire

Attached patches do not check against the provided base effect having value 0 (or even negative one). If the ruleset author adds such a thing, they at least do it intentionally, and have nobody else to than themselves to blame if it bites them. It can even be handy as a temporary solution in migrating the ruleset from old format to the new.

We may turn that check stricter in the later versions.

2022-04-21 04:21 Updated by: cazfi
  • Résolution Update from Accepted to Aucun
Commentaire

In S3_1 version sanity_check_ruleset_data() uses compat without checking against if it's NULL, and there is a call with NULL compat.

2022-04-22 06:15 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
Commentaire

Reply To cazfi

In S3_1 version sanity_check_ruleset_data() uses compat without checking against if it's NULL, and there is a call with NULL compat.

Fixed

2022-04-25 05:15 Updated by: cazfi
Commentaire

- Corrections to a comment

2022-04-27 13:57 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion